Bug 1028136 - Repo publish failing
Repo publish failing
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 13:11 EST by Josh Baird
Modified: 2013-11-08 12:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 12:00:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Baird 2013-11-07 13:11:03 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Always reproducible when syncing yum distributions from parent to child.
Steps to Reproduce:
1. Sync a distribution from a parent to a child.
2. Verify traceback on child node.
3.

Actual results:

2013-10-28 09:20:43,087 pulp.server.managers.repo.publish:ERROR: Exception caught from plugin during publish for repo [rhel6-server-dev-x86_64]
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 121, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 328, in publish_repo
    distro_status, distro_errors = self.symlink_distribution_unit_files(distro_units, repo.working_dir, publish_conduit, progress_callback)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 609, in symlink_distribution_unit_files
    os.makedirs(package_path)
  File "/usr/lib64/python2.6/os.py", line 157, in makedirs
    mkdir(name, mode)
OSError: [Errno 17] File exists: '/var/lib/pulp/working/repos/rhel6-server-dev-x86_64/distributors/yum_distributor/Packages'
2013-10-28 09:20:43,088 pulp.server.dispatch.task:ERROR: Pulp exception occurred: PulpExecutionException
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py", line 138, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 97, in publish
    result = self._do_publish(repo, distributor_id, distributor_instance, transfer_repo, conduit, call_config)
  File "/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py", line 121, in _do_publish
    publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 328, in publish_repo
    distro_status, distro_errors = self.symlink_distribution_unit_files(distro_units, repo.working_dir, publish_conduit, progress_callback)
  File "/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py", line 609, in symlink_distribution_unit_files
    os.makedirs(package_path)
  File "/usr/lib64/python2.6/os.py", line 157, in makedirs
    mkdir(name, mode)
PulpExecutionException: Pulp exception occurred: PulpExecutionException
2013-10-28 09:20:43,089 pulp.server.dispatch.task:INFO: FAILURE: Task 38c473f1-a472-49e8-b0a8-3eb418871242: CallRequest: RepoPublishManager.publish(u'rhel6-server-dev-x86_64', u'yum_distributor')


Expected results:

Repo/dist should be published on child.

Additional info:
Comment 1 Michael Hrivnak 2013-11-08 09:45:38 EST
Please let us know the exact version of pulp you are using.
Comment 2 Josh Baird 2013-11-08 09:46:33 EST
python-pulp-common-2.3.0-0.24.beta.el6.noarch
python-pulp-rpm-common-2.3.0-0.24.beta.el6.noarch
python-pulp-rpm-extension-2.3.0-0.24.beta.el6.noarch
pulp-agent-2.3.0-0.24.beta.el6.noarch
pulp-puppet-plugins-2.3.0-0.24.beta.el6.noarch
pulp-selinux-2.3.0-0.24.beta.el6.noarch
pulp-rpm-consumer-extensions-2.3.0-0.24.beta.el6.noarch
python-isodate-0.5.0-1.pulp.el6.noarch
createrepo-0.9.9-21.2.pulp.el6.noarch
python-pulp-bindings-2.3.0-0.24.beta.el6.noarch
python-pulp-puppet-common-2.3.0-0.24.beta.el6.noarch
pulp-nodes-common-2.3.0-0.24.beta.el6.noarch
python-pulp-client-lib-2.3.0-0.24.beta.el6.noarch
pulp-admin-client-2.3.0-0.24.beta.el6.noarch
pulp-nodes-admin-extensions-2.3.0-0.24.beta.el6.noarch
pulp-puppet-consumer-extensions-2.3.0-0.24.beta.el6.noarch
pulp-rpm-yumplugins-2.3.0-0.24.beta.el6.noarch
pulp-rpm-plugins-2.3.0-0.24.beta.el6.noarch
pulp-rpm-handlers-2.3.0-0.24.beta.el6.noarch
m2crypto-0.21.1.pulp-8.el6.x86_64
mod_wsgi-3.4-1.pulp.el6.x86_64
python-pulp-agent-lib-2.3.0-0.24.beta.el6.noarch
pulp-consumer-client-2.3.0-0.24.beta.el6.noarch
pulp-puppet-admin-extensions-2.3.0-0.24.beta.el6.noarch
pulp-nodes-child-2.3.0-0.24.beta.el6.noarch
pulp-puppet-handlers-2.3.0-0.24.beta.el6.noarch
pulp-server-2.3.0-0.24.beta.el6.noarch
pulp-rpm-admin-extensions-2.3.0-0.24.beta.el6.noarch
Comment 3 Sayli Karmarkar 2013-11-08 12:00:19 EST
This is fixed in the latest beta version.

Note You need to log in before you can comment on or make changes to this bug.